Skip to main content
Resource Center/Network Resource/Multicast Routing Operations

CreateMulticastRouter

CreateMulticastRouter

POST/zstack/v1/multicast/virtual-routers

Operation ID

CreateMulticastRouter

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vpcRouterVmUuid
      StringRequired

      The VPC router VM instance UUID.

    • description
      String

      Optional. The detailed description of the resource.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    MulticastRouterInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • vpcRouterUuid
      StringRequired

      The VPC router UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • state
      StringRequired

      The resource state.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • rpGroups
      ListRequired

      See rpGroups.

      • uuid
        StringRequired

        The resource UUID.

      • multicastRouterUuid
        StringRequired

        The multicast router UUID.

      • rpAddress
        StringRequired

        The rp address.

      • groupAddress
        StringRequired

        The group address.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • vpcVrs
      ListRequired

      See vpcVrs.

      • uuid
        StringRequired

        The resource UUID.

      • vpcRouterUuid
        StringRequired

        The VPC router UUID.